D-Bus 1.14.8

Data Fields
DBusDataSlot Struct Reference

DBusDataSlot is used to store application data on the connection. More...

`#include <dbus-dataslot.h>`

## Data Fields
void * | data
| The application data.
DBusFreeFunction | free_data_func
| Free the application data.

## Detailed Description

DBusDataSlot is used to store application data on the connection.

Definition at line 36 of file dbus-dataslot.h.

## Field Documentation

## ◆ data

void* DBusDataSlot::data

The application data.

Definition at line 38 of file dbus-dataslot.h.

Referenced by _dbus_data_slot_list_clear(), _dbus_data_slot_list_get(), and _dbus_data_slot_list_set().

## ◆ free_data_func

DBusFreeFunction DBusDataSlot::free_data_func

Free the application data.

Definition at line 39 of file dbus-dataslot.h.

Referenced by _dbus_data_slot_list_clear(), and _dbus_data_slot_list_set().

The documentation for this struct was generated from the following file:

- dbus-dataslot.h